aboutsummaryrefslogtreecommitdiffstats
path: root/arch/arm/boot/install.sh
diff options
context:
space:
mode:
authorDave Airlie <airlied@redhat.com>2013-10-22 07:32:40 +0100
committerDave Airlie <airlied@redhat.com>2013-10-22 07:32:40 +0100
commit3bcec5f076688c58436a6c354f5b94eef16469da (patch)
tree6e50e1c03d52bffbd17b16dd6b153a428f0b9e7c /arch/arm/boot/install.sh
parentdrm: Pad drm_mode_get_connector to 64-bit boundary (diff)
parentdrm/i915: Disable GGTT PTEs on GEN6+ suspend (diff)
downloadlinux-dev-3bcec5f076688c58436a6c354f5b94eef16469da.tar.xz
linux-dev-3bcec5f076688c58436a6c354f5b94eef16469da.zip
Merge tag 'drm-intel-fixes-2013-10-21' of git://people.freedesktop.org/~danvet/drm-intel into drm-fixes
Just an lvds clock gating fix and a pte clearing hack for hsw to avoid memory corruption when hibernating - something doesn't seem to switch off properly, we're still investigating. * tag 'drm-intel-fixes-2013-10-21' of git://people.freedesktop.org/~danvet/drm-intel: (96 commits) drm/i915: Disable GGTT PTEs on GEN6+ suspend drm/i915: Make PTE valid encoding optional drm/i915: disable LVDS clock gating on CPT v2
Diffstat (limited to 'arch/arm/boot/install.sh')
-rw-r--r--arch/arm/boot/install.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/arch/arm/boot/install.sh b/arch/arm/boot/install.sh
index 06ea7d42ce8e..2a45092a40e3 100644
--- a/arch/arm/boot/install.sh
+++ b/arch/arm/boot/install.sh
@@ -20,6 +20,20 @@
# $4 - default install path (blank if root directory)
#
+verify () {
+ if [ ! -f "$1" ]; then
+ echo "" 1>&2
+ echo " *** Missing file: $1" 1>&2
+ echo ' *** You need to run "make" before "make install".' 1>&2
+ echo "" 1>&2
+ exit 1
+ fi
+}
+
+# Make sure the files actually exist
+verify "$2"
+verify "$3"
+
# User may have a custom install script
if [ -x ~/bin/${INSTALLKERNEL} ]; then exec ~/bin/${INSTALLKERNEL} "$@"; fi
if [ -x /sbin/${INSTALLKERNEL} ]; then exec /sbin/${INSTALLKERNEL} "$@"; fi